package main

import (
	"fmt"
	"github.com/spf13/cobra"
	"hpds-iot-web/cmd"
	"os"
)

var (
	rootCmd = &cobra.Command{
		Use:     "hpds_web",
		Long:    "hpds_web is a IoT WEB UI",
		Version: "0.1",
	}
)

func init() {
	rootCmd.AddCommand(cmd.NewStartCmd())
}
func main() {

	if err := rootCmd.Execute(); err != nil {
		fmt.Fprint(os.Stderr, err.Error())
		os.Exit(1)
	}
}
