package model

type IssueModel struct {
	Id          int64  `xorm:"not null pk autoincr INT(11)" json:"id"`
	ModelId     int64  `xorm:"INT(11) index" json:"modelId"`
	NodeId      int64  `xorm:"INT(11) index" json:"nodeId"`
	Status      int    `xorm:"not null SMALLINT default 0" json:"status"`
	IssueResult string `xorm:"TEXT" json:"issueResult"`
	CreateAt    int64  `xorm:"created" json:"createAt"`
	UpdateAt    int64  `xorm:"updated" json:"updateAt"`
}
