package model

// NodeState 节点状态信息
type NodeState struct {
	Uptime         uint64  `xorm:"BIGINT pk" json:"uptime,omitempty"`
	NodeName       string  `xorm:"varchar(100) pk" json:"nodeName"`
	CPU            float64 `xorm:"DECIMAL(18,4)" json:"cpu,omitempty"`
	MemUsed        uint64  `xorm:"BIGINT" json:"memUsed,omitempty"`
	SwapUsed       uint64  `xorm:"BIGINT" json:"swapUsed,omitempty"`
	DiskUsed       uint64  `xorm:"BIGINT" json:"diskUsed,omitempty"`
	NetInTransfer  uint64  `xorm:"BIGINT" json:"netInTransfer,omitempty"`
	NetOutTransfer uint64  `xorm:"BIGINT" json:"netOutTransfer,omitempty"`
	NetInSpeed     uint64  `xorm:"BIGINT" json:"netInSpeed,omitempty"`
	NetOutSpeed    uint64  `xorm:"BIGINT" json:"netOutSpeed,omitempty"`
	Load1          float64 `xorm:"DECIMAL(18,4)" json:"load1,omitempty"`
	Load5          float64 `xorm:"DECIMAL(18,4)" json:"load5,omitempty"`
	Load15         float64 `xorm:"DECIMAL(18,4)" json:"load15,omitempty"`
	TcpConnCount   uint64  `xorm:"BIGINT" json:"tcpConnCount,omitempty"`
	UdpConnCount   uint64  `xorm:"BIGINT" json:"udpConnCount,omitempty"`
	ProcessCount   uint64  `xorm:"BIGINT" json:"processCount,omitempty"`
}
