package model

type TaskResult struct {
	ResultId   int64  `xorm:"not null pk autoincr INT(11)" json:"resultId"`
	TaskId     int64  `xorm:"INT(11) index" json:"taskId"`
	TaskCode   string `xorm:"varchar(200)" json:"taskCode"`
	ModelId    int64  `xorm:"INT(11)" json:"modelId"`
	NodeId     int64  `xorm:"INT(11)" json:"nodeId"`
	StartTime  int64  `xorm:"BIGINT" json:"startTime"`
	FinishTime int64  `xorm:"BIGINT" json:"finishTime"`
	SubDataset string `xorm:"varchar(200)" json:"subDataset"`
	DatasetId  int64  `xorm:"INT(11)" json:"datasetId"`
	SrcPath    string `xorm:"varchar(500)" json:"srcPath"`
	Result     string `xorm:"TEXT" json:"result"`
}
